`timescale 1ns/1ps

// test module including statement after "if" statement
module after_if_stmt(clk, a, b);
    input clk;
    input a;
    input b;
    output c;

    reg [1:0] addr0 = 0;
    reg [1:0] addr1 = 1;

always @(posedge clk)
begin
    if (a != b) begin
        addr0 = 1;
    end else begin
        addr1 = 0;
    end
    c <= a & b;
end

endmodule /* after_if_stmt */

