module incompat_cond(clk);

input clk;
reg [31:0] bv_reg;
reg reg0, reg1, reg2, reg3;

always @ (posedge clk)
begin
  if( (bv_reg[17:16] == 2'h0) )
    begin
      reg0 <= 1'b1;
    end
  else;
  if( (bv_reg[17:16] == 2'h1) )
    begin
      reg1 <= 1'b1;
    end
  else;
  if( (bv_reg[17:16] == 2'h2) )
    begin
      reg2 <= 1'b1;
    end
  else;
  if( (bv_reg[17:16] == 2'h3) )
    begin
      reg3 <= 1'b1;
    end
  else;
end // posedge clk

endmodule // incompat_cond