library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

entity example is
port(   clk: in std_logic;
        reset: in std_logic;
        z: out std_logic;
        w: out std_logic
); 
end example;

architecture behavior of example is

     component driver
     port(   clk: in std_logic;
        reset: in std_logic;
        z: out std_logic
);
     end component;

     component stub
     port (clk : in std_logic; 
       reset :in std_logic
      );
     end component;

begin
    stub1: stub port map(
           clk => clk,
           reset => reset
           );
    driver1: driver port map(
           clk => clk,
           reset => reset,
           z => z
         );

 process(clk)
   begin
   if (reset='1') then
   w <= reset;
   else 
   w <= not reset;
   end if; 
   end process;

end behavior;
