
module array_ssa_test(clk, a, b, c, index);
  input clk;
  input wire [7:0] a;
  input wire [7:0] b;
  input wire [7:0] c;
  input wire [7:0] index;

  reg [7:0] array1 [7:0];
  reg [7:0] array2 [7:0];
  reg [31:0] i = 0;
    
  initial begin
    for (i = 0; i < 8; i = i + 1) begin
      array1[i] = 0;
      array2[i] = 0;
    end
  end
  
  always @(posedge clk) begin
    if (a != b) begin
      array1[0] = a;
      array2[0] = array1[0];
      array2[1] <= a;
      array1[1] <= b;
      array1[0] <= c;
      array1[index] <= 0;
      array1[2] = array2[0];
    end else begin
      array1[index] = c;
    end
  end
  

endmodule
