module formula_example(clock, z, index);

  input wire clock;
  output reg [3:0] z = 0;
  reg [3:0] x;
  reg [3:0] y;
  reg [3:0] arr[3:0];
  input wire [1:0] index;
  
  
  always begin
  
    if (x == 0) begin
      x = 1;
    end else if (x == 1) begin
      x = 0;
    end else x = 3;
    
    if (y == 0) begin
      y = x;
    end else if (y == 1) begin
      y = !x;
    end else y = y + x;
    
    z = y;
    
    arr[index] = x;
  
  end


endmodule
