
module multiple_assignment(clk, rst, part_1, x, result);
input wire clk;
input wire rst;
input wire [15:0] part_1;
input wire [15:0] x;

output reg [31:0] result;

reg [14:0] part_2;
reg bit31;

initial begin
  result <= 0;
  bit31 <= 0;
  part_2 <= 0;
end

always @(posedge clk) begin
  result[15:0] = part_1;
end

always @(posedge clk) begin
  if (rst) begin
    part_2 = 0;
  end else begin
    part_2 = x + part_1;
  end
  result[30:16] = part_2;
end

always @(posedge clk) begin
  if (rst) begin
    bit31 = 0;
  end else begin
    bit31 = |result[30:0];
  end
  result[31] = bit31;
end

endmodule
